FileMessage (Apache Tomcat 9.0.43 API Documentation)

org.apache.catalina.ha.deploy

## Class FileMessage

- java.lang.Object
- - org.apache.catalina.ha.ClusterMessageBase
  - - org.apache.catalina.ha.deploy.FileMessage

- All Implemented Interfaces:
    Serializable, ClusterMessage

      public class FileMessage
      extends ClusterMessageBase

  Contains the data for a file being transferred over TCP, this is essentially a fragment of a file, read and written by the FileMessageFactory
  Version:
    1.0
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.catalina.ha.ClusterMessageBase

      `address`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileMessage(Member source, String fileName, String contextName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContextName()`
    `byte[]` | `getData()`
    `int` | `getDataLength()`
    `String` | `getFileName()`
    `int` | `getMessageNumber()`
    `long` | `getTotalNrOfMsgs()`
    `String` | `getUniqueId()`
    `void` | `setData(byte[] data, int length)`
    `void` | `setMessageNumber(int messageNumber)`
    `void` | `setTotalNrOfMsgs(long totalNrOfMsgs)`

    - ### Methods inherited from class org.apache.catalina.ha.ClusterMessageBase

      `getAddress, getTimestamp, setAddress, setTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileMessage

          public FileMessage(Member source,
                             String fileName,
                             String contextName)

  - ### Method Detail

    - #### getMessageNumber

          public int getMessageNumber()

    - #### setMessageNumber

          public void setMessageNumber(int messageNumber)

    - #### getTotalNrOfMsgs

          public long getTotalNrOfMsgs()

    - #### setTotalNrOfMsgs

          public void setTotalNrOfMsgs(long totalNrOfMsgs)

    - #### getData

          public byte[] getData()

    - #### setData

          public void setData(byte[] data,
                              int length)

    - #### getDataLength

          public int getDataLength()

    - #### getUniqueId

          public String getUniqueId()

    - #### getFileName

          public String getFileName()

    - #### getContextName

          public String getContextName()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.